# Glom::TableInfo Class Reference

Inherits Glom::TranslatableItem, and Glom::HasTitleSingular.

Collaboration diagram for Glom::TableInfo:
[legend]

List of all members.

## Public Member Functions

| TableInfo ()
| TableInfo (const TableInfo& src)
TableInfo& | operator= (const TableInfo& src)

## Public Attributes

guint | m_sequence
bool | m_hidden
bool | m_default

## Constructor & Destructor Documentation

Glom::TableInfo::TableInfo | ( |  | ) |

Glom::TableInfo::TableInfo | ( | const TableInfo& | src | ) |

## Member Function Documentation

TableInfo& Glom::TableInfo::operator= | ( | const TableInfo& | src | ) |

Reimplemented from Glom::HasTitleSingular.

## Member Data Documentation

bool Glom::TableInfo::m_default

bool Glom::TableInfo::m_hidden

guint Glom::TableInfo::m_sequence

The documentation for this class was generated from the following files:

- data_structure/tableinfo.h
- data_structure/tableinfo.cc